API ReferenceBoard
Create board
POST
Create board
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
The new Board resource
- body
name*stringLength
length <= 100description?|Length
length <= 100000isBlameableRemovalEnabled*booleanDefault
falsestatus*stringValue in
"in-preparation""open"boardType?|Format
uuidstage*stringFormat
uuiddateStart*stringFormat
date-timedateEnd*stringFormat
date-timeboardTemplate?|Format
uuidBoard resource created
- response
id?stringFormat
uuidname?stringLength
length <= 100status?stringValue in
"in-preparation""open""suspended""closed"shortCode?stringLength
6 <= length <= 6description?stringLength
length <= 100000dateStart?stringFormat
date-timedateEnd?stringFormat
date-timecreatedAt?stringFormat
date-timeupdatedAt?stringFormat
date-timeprogress?integerDefault
0weight?integertimePlanned?|Default
0timeReported?|Default
0isBlameableRemovalEnabled?booleanDefault
falsetaskCountToDo?|Default
0taskCountInProgress?|Default
0taskCountDone?|Default
0project?stringFormat
uuidprojectName?stringLength
length <= 100projectShortCode?stringLength
6 <= length <= 6boardType?|nullstage?stringFormat
uuidstageName?stringLength
length <= 100canManage?booleanDefault
falsecurl -X POST 'https://app.icproject.com/api/instance/demo/project/boards' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "isBlameableRemovalEnabled": false, "status": "in-preparation", "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023", "dateStart": "2019-08-24T14:15:22Z", "dateEnd": "2019-08-24T14:15:22Z"}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "status": "in-preparation", "shortCode": "string", "description": "string", "dateStart": "2019-08-24T14:15:22Z", "dateEnd": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "progress": 0, "weight": 0, "timePlanned": 0, "timeReported": 0, "isBlameableRemovalEnabled": false, "taskCountToDo": 0, "taskCountInProgress": 0, "taskCountDone": 0, "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2", "projectName": "string", "projectShortCode": "string", "boardType": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "decorator": "#78909c" }, "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023", "stageName": "string", "canManage": false}